Compare commits

...

4 Commits

Author SHA1 Message Date
Ettore Di Giacinto 47aa0c3cbf Merge pull request #18 from Sabayon/fix-enman-add
Tuning enman repos management and add debug stuff
2018-06-24 12:40:26 +02:00
Geaaru 09f618043d Tuning enman repos management and add debug stuff 2018-06-15 10:28:23 +02:00
Ettore Di Giacinto 66284024a2 Use new eit options 2018-06-02 13:38:31 +02:00
Ettore Di Giacinto 64f8ee54a3 functions: make /opt/sabayon-build/ configurable 2018-02-15 00:07:41 +01:00
3 changed files with 45 additions and 9 deletions
+40 -6
View File
@@ -459,34 +459,68 @@ if ($use_equo) {
say "Devkit version:"; say "Devkit version:";
_system("equo s -vq app-misc/sabayon-devkit"); _system("equo s -vq app-misc/sabayon-devkit");
_system("equo repo mirrorsort sabayonlinux.org") if $equo_mirrorsort;
# Try to use last enman version
_system("equo up && equo i enman --relaxed");
_system("enman list --installed -q"); _system("enman list --installed -q");
my $enman_list_output = qx|enman list --installed -q|; my $enman_list_output = qx|enman list --installed -q|;
chomp($enman_list_output); chomp($enman_list_output);
my @installed_enman_repos = split( /\n/, $enman_list_output ); my @installed_enman_repos;
if ($enman_list_output eq "No repositories were installed with enman") {
@installed_enman_repos = ();
} else {
@installed_enman_repos = split( / /, $enman_list_output );
}
if ( $enman_repositories and $enman_repositories ne "" ) { if ( $enman_repositories and $enman_repositories ne "" ) {
my @enman_toadd = split( / /, $enman_repositories ); say "==================================";
my @enman_toadd;
if (index($enman_repositories, "\n") != -1 ) {
@enman_toadd = split( /\n/, $enman_repositories );
} else {
@enman_toadd = split( / /, $enman_repositories );
}
for my $enman_add (@enman_toadd) { for my $enman_add (@enman_toadd) {
say "Check enman ".$enman_add;
if ( !grep ( $enman_add, @installed_enman_repos ) ) { if ( !grep ( $enman_add, @installed_enman_repos ) ) {
safe_call("enman add $_"); say "Try to install ".$enman_add;
safe_call("enman add $enman_add");
} else {
say "Already present: ".$enman_add;
} }
} }
say "==================================";
} }
if ( $remove_enman_repositories and $remove_enman_repositories ne "" ) { if ( $remove_enman_repositories and $remove_enman_repositories ne "" ) {
my @enman_toremove = split( / /, $remove_enman_repositories ); say "==================================";
my @enman_toremove;
if (index($remove_enman_repositories, "\n") != -1 ) {
@enman_toremove = split( /\n/, $remove_enman_repositories);
} else {
@enman_toremove = split( / /, $remove_enman_repositories);
}
for my $enman_remove (@enman_toremove) { for my $enman_remove (@enman_toremove) {
if ( grep ( $enman_remove, @installed_enman_repos ) ) { if ( grep ( $enman_remove, @installed_enman_repos ) ) {
safe_call("enman remove $_"); say "Try to remove enamn repository ".$enman_remove;
safe_call("enman remove $enman_remove");
} else {
say "Enman repository $enman_remove is not present.";
} }
} }
say "==================================";
} }
_system("enman add $repository_name") _system("enman add $repository_name")
if ($enman_add_self if ($enman_add_self
and $repository_name and $repository_name
and $repository_name ne "" ); and $repository_name ne "" );
_system("equo repo mirrorsort sabayonlinux.org") if $equo_mirrorsort;
_system("equo up && equo u"); _system("equo up && equo u");
} }
+2 -2
View File
@@ -68,8 +68,8 @@ fi
eit key import \$repo /etc/entropy/mykeys/private.key /etc/entropy/mykeys/key.pub && { eit key sign \$repo || true; } && { echo "=== Repository key imported successfully ==="; } eit key import \$repo /etc/entropy/mykeys/private.key /etc/entropy/mykeys/key.pub && { eit key sign \$repo || true; } && { echo "=== Repository key imported successfully ==="; }
echo "=== Injecting packages ===" echo "=== Injecting packages ==="
echo "Yes" | eit inject \${built_pkgs} || { echo "ouch unable to inject" && exit 3; } eit inject --quick \${built_pkgs} || { echo "ouch unable to inject" && exit 3; }
echo "Yes Yes Yes" | eit commit --quick eit commit --quick
echo "=== Pushing built packages locally ===" echo "=== Pushing built packages locally ==="
eit push --quick --force eit push --quick --force
+3 -1
View File
@@ -2,6 +2,8 @@
set -e set -e
export BUILD_DIR="${BUILD_DIR:-/opt/sabayon-build/}"
check_docker_requirements(){ check_docker_requirements(){
if [ "$(id -u)" != "0" ]; then if [ "$(id -u)" != "0" ]; then
groups | grep -q docker || echo "--> If you are not running the script as root, your user should be in the docker group to use it. (sudo gpasswd -a $USER docker)" groups | grep -q docker || echo "--> If you are not running the script as root, your user should be in the docker group to use it. (sudo gpasswd -a $USER docker)"
@@ -15,7 +17,7 @@ build_sync() {
layman -S layman -S
emerge --sync emerge --sync
eix-update eix-update
pushd /opt/sabayon-build/ pushd "${BUILD_DIR}"
git stash git stash
git fetch --all || true git fetch --all || true
git checkout master || true git checkout master || true